Skip to main content
Conversations

Get a conversation item

GET
/openai/v1/conversations/{conversation_id}/items/{item_id}

Retrieves a specific item from the specified conversation.

Path Parameters
conversation_idstringrequired
The ID of the conversation that contains the item.
item_idstringrequired
The id of the conversation item to retrieve.
Header Parameters
x-ms-user-isolation-keystringoptional
Opaque per-user isolation key used to scope endpoint-scoped data (responses, conversations, sessions) to a specific end user.
Responses
One of the following:
structured_outputsStructuredOutputsOutputItem
workflow_actionWorkflowActionOutputItem
oauth_consent_requestOAuthConsentRequestOutputItem
Request from the service for the user to perform OAuth consent.
bing_grounding_callBingGroundingToolCall
A Bing grounding tool call.
bing_grounding_call_outputBingGroundingToolCallOutput
The output of a Bing grounding tool call.
sharepoint_grounding_preview_callSharepointGroundingToolCall
A SharePoint grounding tool call.
sharepoint_grounding_preview_call_outputSharepointGroundingToolCallOutput
The output of a SharePoint grounding tool call.
azure_ai_search_callAzureAISearchToolCall
An Azure AI Search tool call.
azure_ai_search_call_outputAzureAISearchToolCallOutput
The output of an Azure AI Search tool call.
bing_custom_search_preview_callBingCustomSearchToolCall
A Bing custom search tool call.
bing_custom_search_preview_call_outputBingCustomSearchToolCallOutput
The output of a Bing custom search tool call.
openapi_callOpenApiToolCall
An OpenAPI tool call.
openapi_call_outputOpenApiToolCallOutput
The output of an OpenAPI tool call.
browser_automation_preview_callBrowserAutomationToolCall
A browser automation tool call.
browser_automation_preview_call_outputBrowserAutomationToolCallOutput
The output of a browser automation tool call.
fabric_dataagent_preview_callFabricDataAgentToolCall
A Fabric data agent tool call.
fabric_dataagent_preview_call_outputFabricDataAgentToolCallOutput
The output of a Fabric data agent tool call.
azure_function_callAzureFunctionToolCall
An Azure Function tool call.
azure_function_call_outputAzureFunctionToolCallOutput
The output of an Azure Function tool call.
a2a_preview_callA2AToolCall
An A2A (Agent-to-Agent) tool call.
a2a_preview_call_outputA2AToolCallOutput
The output of an A2A (Agent-to-Agent) tool call.
memory_search_callMemorySearchToolCall
A memory search tool call.
memory_command_preview_callMemoryCommandToolCall
A memory command tool call.
memory_command_preview_call_outputMemoryCommandToolCallOutput
The output of a memory command tool call.
output_messageOpenAI.OutputItemOutputMessage
An output message from the model.
file_search_callOpenAI.OutputItemFileSearchToolCall
The results of a file search tool call. See the [file search guide](/docs/guides/tools-file-search) for more information.
function_callOpenAI.OutputItemFunctionToolCall
A tool call to run a function. See the [function calling guide](/docs/guides/function-calling) for more information.
function_call_outputOpenAI.OutputItemFunctionToolCallOutput
The output of a function tool call.
web_search_callOpenAI.OutputItemWebSearchToolCall
The results of a web search tool call. See the [web search guide](/docs/guides/tools-web-search) for more information.
computer_callOpenAI.OutputItemComputerToolCall
A tool call to a computer use tool. See the [computer use guide](/docs/guides/tools-computer-use) for more information.
computer_call_outputOpenAI.OutputItemComputerToolCallOutput
The output of a computer tool call.
reasoningOpenAI.OutputItemReasoningItem
A description of the chain of thought used by a reasoning model while generating a response. Be sure to include these items in your `input` to the Responses API for subsequent turns of a conversation if you are manually [managing context](/docs/guides/conversation-state).
tool_search_callOpenAI.OutputItemToolSearchCall
tool_search_outputOpenAI.OutputItemToolSearchOutput
compactionOpenAI.OutputItemCompactionBody
A compaction item generated by the [`v1/responses/compact` API](/docs/api-reference/responses/compact).
image_generation_callOpenAI.OutputItemImageGenToolCall
An image generation request made by the model.
code_interpreter_callOpenAI.OutputItemCodeInterpreterToolCall
A tool call to run code.
local_shell_callOpenAI.OutputItemLocalShellToolCall
A tool call to run a command on the local shell.
local_shell_call_outputOpenAI.OutputItemLocalShellToolCallOutput
The output of a local shell tool call.
shell_callOpenAI.OutputItemFunctionShellCall
A tool call that executes one or more shell commands in a managed environment.
shell_call_outputOpenAI.OutputItemFunctionShellCallOutput
The output of a shell tool call that was emitted.
apply_patch_callOpenAI.OutputItemApplyPatchToolCall
A tool call that applies file diffs by creating, deleting, or updating files.
apply_patch_call_outputOpenAI.OutputItemApplyPatchToolCallOutput
The output emitted by an apply patch tool call.
mcp_callOpenAI.OutputItemMcpToolCall
An invocation of a tool on an MCP server.
mcp_list_toolsOpenAI.OutputItemMcpListTools
A list of tools available on an MCP server.
mcp_approval_requestOpenAI.OutputItemMcpApprovalRequest
A request for human approval of a tool invocation.
mcp_approval_responseOpenAI.OutputItemMcpApprovalResponseResource
A response to an MCP approval request.
custom_tool_callOpenAI.OutputItemCustomToolCallResource
custom_tool_call_outputOpenAI.OutputItemCustomToolCallOutputResource